tpm_clear_tests.sh 2.2 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100
  1. #! /bin/sh
  2. #
  3. # Copyright (c) International Business Machines Corp., 2005
  4. #
  5. # This program is free software; you can redistribute it and#or modify
  6. # it under the terms of the GNU General Public License as published by
  7. # the Free Software Foundation; either version 2 of the License, or
  8. # (at your option) any later version.
  9. #
  10. # This program is distributed in the hope that it will be useful, but
  11. # WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
  12. # or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
  13. # for more details.
  14. #
  15. # You should have received a copy of the GNU General Public License
  16. # along with this program; if not, write to the Free Software
  17. # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
  18. #
  19. setup()
  20. {
  21. RC=0 # Return code from commands.
  22. if [ -z "$LTPTMP" ] && [ -z "$TMPBASE" ]
  23. then
  24. LTPTMP="/tmp"
  25. else
  26. LTPTMP="$TMPBASE"
  27. fi
  28. export TPM_TMPFILE="$LTPTMP/tst_tpm.err"
  29. rm -f $TPM_TMPFILE 2>&1
  30. # Set known password values
  31. if [ -z "$OWN_PWD" ]
  32. then
  33. export OWN_PWD="OWN PWD"
  34. fi
  35. if [ -z "$SRK_PWD" ]
  36. then
  37. export SRK_PWD="SRK PWD"
  38. fi
  39. tst_resm TINFO "INIT: Inititalizing tests."
  40. which tpm_clear 1>$TPM_TMPFILE 2>&1 || RC=$?
  41. if [ $RC -ne 0 ]
  42. then
  43. tst_brk TBROK $TPM_TMPFILE NULL \
  44. "Setup: tpm_clear command does not exist. Reason:"
  45. return $RC
  46. fi
  47. return $RC
  48. }
  49. test01()
  50. {
  51. RC=0 # Return value from commands
  52. export TCID=tpm_clear01 # Test ID
  53. export TST_COUNT=1 # Test number
  54. tpm_clear_tests_exp01.sh 1>$TPM_TMPFILE 2>&1 || RC=$?
  55. if [ $RC -eq 0 ]
  56. then
  57. tst_resm TPASS "'tpm_clear' passed."
  58. RC=0
  59. else
  60. tst_res TFAIL $TPM_TMPFILE "'tpm_clear' failed."
  61. RC=1
  62. fi
  63. return $RC
  64. }
  65. cleanup()
  66. {
  67. rm -f $TPM_TMPFILE 2>&1
  68. }
  69. # Function: main
  70. #
  71. # Description: - Execute all tests, report results.
  72. #
  73. # Exit: - zero on success
  74. # - non-zero on failure.
  75. TFAILCNT=0 # Set TFAILCNT to 0, increment on failure.
  76. RC=0 # Return code from tests.
  77. export TCID=tpm_clear # Test ID
  78. export TST_TOTAL=1 # Total numner of tests in this file.
  79. export TST_COUNT=0 # Initialize identifier
  80. setup || exit $RC # Exit if initializing testcases fails.
  81. test01 || TFAILCNT=$(($TFAILCNT+1))
  82. cleanup
  83. exit $TFAILCNT